/// <reference types="cypress" />
describe('Client basic data', () => {
    beforeEach(() => {
        cy.viewport(1280, 720);
        cy.login('developer');
        cy.visit('#/customer/1102/basic-data');
    });
    it('Should load layout', () => {
        cy.get('.q-card').should('be.visible');
        cy.dataCy('customerPhone').find('input').should('be.visible');
        cy.dataCy('customerPhone').find('input').type('123456789');
        cy.get('.q-btn-group > .q-btn--standard').click();
        cy.intercept('PATCH', '/api/Clients/1102', (req) => {
            const { body } = req;
            cy.wrap(body).should('have.property', 'phone', '123456789');
        });
        cy.get('.q-notification__message').should('have.text', 'Data saved');
    });
});
